def list_building_types(requester, lang: str = "TR", type_code: str = None):
    from service_app_test.test_application.evyos.datas.company_employee_data import (
        list_options,
    )

    options_smart_query = {
        **list_options,
        "query": {
            "lang": lang,
        },
    }
    if type_code:
        options_smart_query["query"]["type_code__ilike"] = type_code
    response = requester.post(
        endpoint="/building/types/list",
        data=options_smart_query,
    )
    print("text", response.text)
    print("json", response.json())
    return response.json()


# list_building_types(type_code="apt")
